[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / DeclaredSchemaValueSpec

# Interface: DeclaredSchemaValueSpec

[types/app-spec](../modules/types_app_spec.md).DeclaredSchemaValueSpec

Declared schema value specification

## Table of contents

### Properties

- [descr](types_app_spec.DeclaredSchemaValueSpec.md#descr)
- [key](types_app_spec.DeclaredSchemaValueSpec.md#key)
- [static](types_app_spec.DeclaredSchemaValueSpec.md#static)
- [type](types_app_spec.DeclaredSchemaValueSpec.md#type)

## Properties

### descr

• `Optional` **descr**: `string`

A description of the variable

#### Defined in

[src/types/app-spec.ts:268](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L268)

___

### key

• **key**: `string`

The name of the key

#### Defined in

[src/types/app-spec.ts:266](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L266)

___

### static

• `Optional` **static**: `boolean`

Whether or not the value is set statically (at create time only) or dynamically

#### Defined in

[src/types/app-spec.ts:270](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L270)

___

### type

• **type**: [`AVMType`](../modules/types_app_spec.md#avmtype)

The type of value

#### Defined in

[src/types/app-spec.ts:264](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L264)
